require "happymapper"
require "tuffnells_api/delivery_address"
require "tuffnells_api/collection_address"
require "tuffnells_api/consignment_information"
require "tuffnells_api/movement_information"
require "tuffnells_api/timed_information"
require "tuffnells_api/scan_information"
require "tuffnells_api/image_information"

module TuffnellsApi
  class TrackingRecord
    include HappyMapper

    tag 'ArrayOfTrackingRecord'
    tag 'TrackingRecord'

    element :authorised, String, tag: 'Authorised'
    element :delivery_address, TuffnellsApi::DeliveryAddress, tag: 'DeliveryAddress'
    element :collection_address, TuffnellsApi::CollectionAddress, tag: 'CollectionAddress'
    element :consignment_information, TuffnellsApi::ConsignmentInformation, tag: 'ConsignmentInformation'
    element :movement_information, TuffnellsApi::MovementInformation, tag: 'MovementInformation'
    element :timed_information, TuffnellsApi::TimedInformation, tag: 'TimedInformation'
    element :scan_information, TuffnellsApi::ScanInformation, tag: 'ScanInformation'
    element :image_information, TuffnellsApi::ImageInformation, tag: 'ImageInformation'
  end
end
